@import "./base/reset.css";
@import "./base/font.css";
@import "../fonts/fontello/fontello.css";
@import "./base/print.css";
@import "./base/vars.css";
@import "./base/helpers.css";

@import "./default.css";

/* ---------------------- Header ---------------------- */

header.top_header {
    background-color: var(--blue);
}

.top_header .header_wrapper {
    width: 100%;
    display: flex;
    flex-direction: column;
    position: relative;
}

.top_header .lang_block {
    display: flex;
    justify-content: flex-end;
    gap: 10px;
    font-size: 1.4rem;
    font-weight: 400;
    margin-top: 2.6rem;
}

.active_lang {
    color: var(--primary);
    background-color: var(--white);
    border-radius: 50%;
    cursor: default;
    padding: 1rem;
}

.top_header .lang {
    border-radius: 50%;
    padding: 0.6rem;
}

.top_header .lang:not(.active_lang):hover {
    color: var(--gray-600);
}

.top_header .header_img {
    width: 100%;
}

.top_header .header_title {
    font-size: 6.4rem;
    font-weight: 700;
    margin-bottom: 1.2rem;
}

.top_header .header_title span {
    font-weight: 700;
    color: var(--primary);
    background-color: var(--white);
    border-radius: 2rem;
    padding: 0 1.5rem;
}

.top_header .header_content {
    font-size: 1.6rem;
    line-height: 130%;
    margin-bottom: 1rem;
}

.top_header .btn_block {
    width: 100%;
    display: flex;
    justify-content: center;
    margin-bottom: 2.2rem;
}

.top_header .header_btn {
    flex: 1 1 auto;
    border-radius: 1.2rem;
    text-align: center;
    background-color: var(--primary);
    font-weight: 500;
    font-size: 1.8rem;
    line-height: 140%;
    padding: 1.4rem 0 1.5rem 0;
}

.top_header .btn_block .btn:hover {
    background-color: var(--secondary);
}

.top_header .btn_block .btn:focus {
    background-color: var(--secondary);
}

/* ------------------------- Product block ---------------------------- */

.product_block .product_list_item {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: 3.3rem;
}

.product_block .product_item {
    width: calc(50% - 0.75rem);
    position: relative;
    background: var(--white);
    box-shadow: 6px 4px 12px rgba(0, 0, 0, 0.05);
    border-radius: 2rem;
    padding: 4rem 1.8rem 1.8rem 1.8rem;
}

.product_block .product_item:nth-child(odd) {
    margin-right: 1.5rem;
}

.product_block .product_item:nth-child(1),
.product_block .product_item:nth-child(2) {
    margin-bottom: 2rem;
}

.product_block .product_img_wrapper {
    position: absolute;
    top: -6%;
    left: 9.07%;
    display: flex;
    justify-content: center;
    align-items: center;
    width: 4rem;
    height: 4rem;
    background-color: var(--blue-ligts-200);
    border-radius: 50%;
}

.product_block .product_img {
    font-size: 2.4rem;
    color: var(--primary);
}

.product_block .product_title {
    font-weight: 500;
    font-size: 1.4rem;
    line-height: 140%;
}

/* ----------------------  Main ---------------------- */

main.main_homo {
    padding-bottom: 6rem;
}

.main_products .products_title,
.main_promo .order_title {
    font-weight: 600;
    font-size: 2.4rem;
    line-height: 130%;
    text-align: center;
    letter-spacing: -0.03em;
    margin-top: 4rem;
    margin-bottom: 2.4rem;
}

.main_products .products_link,
.main_promo .promo_link {
    color: var(--primary);
}

.main_products a:hover.products_link,
.main_promo a:hover.promo_link {
    color: var(--text-color);
}

.main_products .auto_listing,
.main_products .robo_advising {
    display: flex;
    gap: 10px;
    background-color: var(--blue-ligts-100);
    border-radius: 3rem;
    padding: 2.5rem 2rem 0 1.6rem;
}

.main_products .auto_listing {
    margin-bottom: 1.6rem;
}

.main_products .content_block {
    width: 50%;
}

.main_products .auto_listing_title,
.main_products .robo_advising_title {
    font-weight: 600;
    font-size: 1.6rem;
    line-height: 140%;
    margin-bottom: 0.4rem;
}

.main_products .auto_listing_text,
.main_products .robo_advising_text {
    font-weight: 400;
    font-size: 1.3rem;
    line-height: 140%;
    padding-bottom: 2.5rem;
}

.main_products .img_block {
    width: 50%;
    filter: drop-shadow(8px -8px 16px rgba(0, 0, 0, 0.06));
}

.main_products .auto_listing_img,
.main_products .robo_advising_img {
    display: block;
    width: 100%;
}

.main_promo .order_title {
    margin-bottom: 0.4rem;
}

.main_promo .order_content {
    font-weight: 500;
    font-size: 1.4rem;
    line-height: 140%;
    margin-bottom: 1.2rem;
}

.main_promo .btn_block {
    margin-bottom: 3.7rem;
}

.main_promo .btn_order {
    width: 100%;
    font-weight: 500;
    font-size: 1.8rem;
    line-height: 140%;
    padding: 1.6rem 0;
    border-radius: 0.8rem;
}

.main_promo .btn_block .btn:hover {
    background-color: var(--secondary);
}

.main_promo .btn_block .btn:focus {
    background-color: var(--secondary);
}

/* ----------------------  Media Query ---------------------- */

@media screen and (min-width: 768px) {
    .top_header .img_block {
        display: block;
        margin-right: -2rem;
    }

    .top_header .header_wrapper {
        margin-bottom: 10rem;
    }

    .top_header .lang_block {
        margin-top: 2.7rem;
    }

    .top_header .content_block_wrapper {
        display: flex;
        gap: 10px;
    }

    .top_header .content_block {
        width: 50%;
        margin-top: 3rem;
    }

    .top_header .header_title {
        margin-bottom: 1.4rem;
    }

    .top_header .header_content {
        margin-bottom: 2.5rem;
    }

    .top_header .btn_block {
        width: 20rem;
    }

    .top_header .product_block {
        position: relative;
    }

    .top_header .product_block .product_list_item {
        height: 100%;
        gap: 10px;
        position: absolute;
        left: 0;
        right: 0;
        bottom: 30px;
    }

    .top_header .product_block .product_item {
        width: calc(25% - 10px);
        padding: 2.2rem 2rem 3rem 2rem;
        margin-right: 0;
        margin-bottom: 0;
    }

    .top_header .product_block .product_img_wrapper {
        left: 72%;
        top: 7px;
        width: 3rem;
        height: 3rem;
    }

    .top_header .product_block .product_title {
        font-size: 1.2rem;
    }

    .top_header .btn_block {
        margin-bottom: 18rem;
    }

    .main_products .products_title,
    .main_promo .order_title {
        font-weight: 500;
        font-size: 2.9rem;
        margin-top: 0;
    }

    .main_products .products_title {
        margin-bottom: 3rem;
    }

    .main_products .products_content {
        display: flex;
        gap: 10px;
        margin-bottom: 7rem;
    }

    .main_products .auto_listing_title,
    .main_products .robo_advising_title {
        font-size: 1.8rem;
        margin-bottom: 1.2rem;
    }

    .main_products .auto_listing_text,
    .main_products .robo_advising_text {
        font-size: 1.4rem;
    }

    .main_products .auto_listing {
        width: 50%;
        margin-bottom: 0;
    }

    .main_products .robo_advising {
        width: 50%;
    }

    .main_homo .main_promo {
        display: flex;
        gap: 10px;
    }

    .main_promo .order_block {
        width: 50%;
        display: flex;
        flex-direction: column;
    }

    .main_promo .product_block {
        width: 50%;
    }

    .main_promo .order_title {
        margin-bottom: 2rem;
    }

    .main_promo .order_content {
        margin-bottom: 3.7rem;
    }

    .main_promo .btn_order {
        width: 20rem;
        padding: 1.3rem;
    }

    .main_promo .btn_block {
        margin-bottom: 0;
    }

    .main_promo .product_block .product_list_item {
        display: flex;
        gap: 10px;
        margin-bottom: 0;
    }

    .main_promo .product_block .product_img_wrapper {
        top: 5%;
    }

    .main_promo .product_block .product_item {
        padding: 5rem 1rem 2rem 2.2rem;
        margin-right: 0;
        margin-bottom: 0;
        box-shadow: none;
    }
    .main_promo .product_img {
        font-size: 4rem;
    }

    .main_promo .order_title {
        text-align: left;
    }
}

@media screen and (min-width: 992px) {
    .top_header .content_block {
        margin-top: 6.2rem;
    }

    .top_header .header_content {
        font-size: 2.2rem;
        margin-bottom: 3.8rem;
    }

    .top_header .product_block .product_img_wrapper {
        width: 4rem;
        height: 4rem;
    }

    .top_header .product_block .product_list_item {
        bottom: 3rem;
    }

    .top_header .product_block .product_title {
        font-size: 1.4rem;
    }
}

@media screen and (min-width: 1200px) {
    .top_header .header_wrapper {
        margin-bottom: 15rem;
    }

    .top_header .content_block {
        width: 35%;
        margin-right: 7rem;
    }

    .top_header .product_block .product_list_item {
        gap: 20px;
        bottom: 55px;
    }

    .top_header .product_block .product_item {
        width: calc(25% - 15px);
    }

    .top_header .product_block .product_img_wrapper {
        left: 77%;
        top: 10px;
    }

    .top_header .product_block .product_title {
        font-size: 1.6rem;
    }

    .top_header .btn_block {
        margin-bottom: 28rem;
    }

    .main_homo .main_promo {
        gap: 20px;
    }

    .main_products .products_title,
    .main_promo .order_title {
        font-size: 3.8rem;
    }

    .main_products .products_title {
        width: 50rem;
        margin-left: auto;
        margin-right: auto;
        margin-bottom: 4.4rem;
    }

    .main_products .products_content {
        gap: 20px;
        margin-bottom: 11rem;
    }

    .main_products .auto_listing_title,
    .main_products .robo_advising_title {
        font-size: 2rem;
    }

    .main_promo .order_content {
        margin-bottom: 5rem;
    }

    .main_promo .product_block .product_list_item {
        gap: 20px;
    }

    .main_promo .product_block .product_item {
        width: calc(50% - 1rem);
        padding: 7rem 2rem 3rem 2.6rem;
    }

    .main_promo .product_block .product_img_wrapper {
        top: 10%;
    }
}

@media screen and (max-width: 767.98px) {
    .top_header .lang_block {
        padding-left: 2rem;
        padding-right: 2rem;
    }

    .top_header .content_block_wrapper {
        display: flex;
        flex-direction: column;
    }

    .top_header .img_block {
        min-height: 40rem;
        width: 100%;
        margin-bottom: 0.8rem;
    }

    .top_header .content_block {
        padding-left: 1.6rem;
        padding-right: 1.6rem;
        order: 2;
    }

    .product_block .product_list_item {
        padding-left: 1.6rem;
        padding-right: 1.6rem;
    }

    main .product_block .product_list_item {
        padding-left: 0;
        padding-right: 0;
    }

    main.main_homo {
        padding-left: 1.6rem;
        padding-right: 1.6rem;
    }
}

@media screen and (max-width: 420px) {
    .product_block .product_list_item {
        display: block;
        width: 100%;
    }

    .product_block .product_item {
        width: 100%;
        padding-left: 3rem;
        padding-right: 3rem;
        margin-right: 0;
    }

    .product_block .product_item:not(:last-child) {
        margin-bottom: 2rem;
    }

    .product_block .product_title {
        font-size: 1.8rem;
    }

    .main_products .auto_listing,
    .main_products .robo_advising {
        flex-direction: column;
    }

    .main_products .content_block {
        width: 100%;
    }

    .main_products .img_block {
        width: 100%;
    }
}
